CMSIS-Core (Cortex-A): mmu_region_attributes_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
mmu_region_attributes_Type Struct Reference
MMU Defines and Structs

## Data Fields

mmu_region_size_Type | rg_t
mmu_memory_Type | mem_t
uint8_t | domain
mmu_cacheability_Type | inner_norm_t
mmu_cacheability_Type | outer_norm_t
mmu_ecc_check_Type | e_t
mmu_execute_Type | xn_t
mmu_global_Type | g_t
mmu_secure_Type | sec_t
mmu_access_Type | priv_t
mmu_access_Type | user_t
mmu_shared_Type | sh_t

## Field Documentation

uint8_t mmu_region_attributes_Type::domain

mmu_ecc_check_Type mmu_region_attributes_Type::e_t

mmu_global_Type mmu_region_attributes_Type::g_t

mmu_cacheability_Type mmu_region_attributes_Type::inner_norm_t

mmu_memory_Type mmu_region_attributes_Type::mem_t

mmu_cacheability_Type mmu_region_attributes_Type::outer_norm_t

mmu_access_Type mmu_region_attributes_Type::priv_t

mmu_region_size_Type mmu_region_attributes_Type::rg_t

mmu_secure_Type mmu_region_attributes_Type::sec_t

mmu_shared_Type mmu_region_attributes_Type::sh_t

mmu_access_Type mmu_region_attributes_Type::user_t

mmu_execute_Type mmu_region_attributes_Type::xn_t